Uploaded image for project: 'Qbs ("Cubes")'
  1. Qbs ("Cubes")
  2. QBS-992

Find a way to set multiple Qt ABIs for Android

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P2: Important
    • Resolution: Done
    • Affects Version/s: 1.5.1
    • Fix Version/s: 1.8.0
    • Component/s: General
    • Labels:
      None
    • Commits:
      f33e9e8e4871bb1217e9c70a02794c7f47be6053

      Description

      Currently qbs supports building for multiple ABI (armv5, armv7, x86, etc) for Android. But there is no way to set Qt versions for them.

      My suggestion is set the root of Qt SDK and qbs to (recursively) search for all mkspecs/qdevice.pri file. This file contains all the information needed by QBS to match/connect it's profiles to Qt

      The root of Qt SDK can be:

      • "~/Qt" in this case QBS should search all the 5.? folders
      • or a specific Qt version "~/Qt/5.6"
      • or even a exact ABI "~/Qt/5.6/android_armv7" in case when we need to use our own build.

        Attachments

          Issue Links

          For Gerrit Dashboard: QBS-992
          # Subject Branch Project Status CR V

            Activity

              People

              Assignee:
              kandeler Christian Kandeler
              Reporter:
              taipan BogDan Vatra
              Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Gerrit Reviews

                  There are no open Gerrit changes